%define unstable 1
%{?_unstable: %{expand: %%global unstable 1}}

%if %{unstable}
%define dont_strip 1
%endif

Name: eigen
Summary: Lightweight C++ template library for vector and matrix math, a.k.a. linear algebra
Version: 2.0
Release: %mkrel 2.alpha4.1
Group: System/Libraries
License: LGPL
URL: http://eigen.tuxfamily.org/
Source:	http://download.tuxfamily.org/eigen/eigen-%{version}-alpha4.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: cmake >= 2.4.5
BuildRequires: redland-devel
BuildRequires: qt4-devel

%description
Eigen is a lightweight C++ template library for vector and matrix math, a.k.a.
linear algebra.

%files
%defattr(-,root,root)
%dir %_includedir/eigen2/
%_includedir/eigen2/*

#---------------------------------------------------------------------------------

%prep
%setup -q -n %{name}2

%build
%cmake \
%if %unstable
      -DCMAKE_BUILD_TYPE=debug 
%endif

%make


%install
rm -rf %buildroot
cd build && make DESTDIR=%buildroot install

%clean 
rm -rf %buildroot



%changelog
* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0-2.alpha4.1mdv2009.0
+ Revision: 264425
- rebuild early 2009.0 package (before pixel changes)

* Thu Apr 17 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2.0-0.alpha4.1mdv2009.0
+ Revision: 195340
- Update to eigen 2 alpha4

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.5-2mdv2008.1
+ Revision: 170810
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- fix description-line-too-long
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jul 06 2007 Helio Chissini de Castro <helio@mandriva.com> 1.0.5-1mdv2008.0
+ Revision: 48943
- import eigen-1.0.5-1mdv2008.0


